Create a new productgroup account mapping
Add a account number to a specific product group. This account number will be used for all products with the specified vatcode in the specific product group and all children
Required permissions: ACCOUNTING_CONFIG
post/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroups
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+storeUidstringRequiredPattern:
Reference to a Store.
^[A-Za-z0-9-_]+Body
Create a new account mapping to a product group
accountingConfigUidstringOptionalPattern:
^[A-Za-z0-9-_]+accountstringRequired
accountNumber
vatCodeUidstringRequiredPattern:
^[A-Za-z0-9-_]+productGroupUidstringRequiredPattern:
^[A-Za-z0-9-_]+Responses
201Success
application/json
productGroupUidstringRequiredPattern:
^[A-Za-z0-9-_]+vatCodeUidstringRequiredPattern:
^[A-Za-z0-9-_]+accountstringRequired
Account number
accountingConfigUidstringRequiredPattern:
^[A-Za-z0-9-_]+post/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroups
POST /v2/tenants/{tenantUid}/stores/{storeUid}/accountingConfigs/productGroups HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 92
{
"accountingConfigUid": "text",
"account": "text",
"vatCodeUid": "text",
"productGroupUid": "text"
}201Success
{
"productGroupUid": "text",
"vatCodeUid": "text",
"account": "text",
"accountingConfigUid": "text"
}PreviousList all productgroups with accounting information
NextList all products with a store specific account number
Last updated
Was this helpful?

